GET
/
nps
/
txs
cURL
curl --request GET \
  --url https://apidev.nusd.me/nps/txs \
  --header 'BIZ-API-KEY: <api-key>' \
  --header 'Biz-Api-Nonce: <api-key>' \
  --header 'Biz-Api-Signature: <api-key>'
{
  "status": 0,
  "data": {
    "total": "33",
    "txs": [
      {
        "transaction_id": "9e409c3b-a9b0-4225-80cf-f4da550153a4",
        "wallet_id": "e9167870-e18b-4e82-8b87-92ec7ede8e45",
        "chain_id": "BASE_ETH",
        "token_id": "USDT",
        "to": "0x728398976e145f022108ff633b8e52dd04c1f96c",
        "type": "Withdrawal",
        "status": "Completed",
        "amount": "0.01",
        "fee_ratio": "0.01",
        "fee_fixed": "0",
        "fee": "0.0001",
        "amount_actual": "0.01",
        "hash": "0xc3d598f711897faa970cf0db63236248c7b06579a0739c1395aeaddcc9147770",
        "payer": "User",
        "er": 1,
        "created_at": "2025-11-14T04:51:57.586Z",
        "confirmed_at": "2025-11-14T04:56:22.840Z",
        "completed_at": "2025-11-14T04:56:22.840Z"
      }
    ]
  },
  "msg": "<string>"
}

Authorizations

BIZ-API-KEY
string
header
required

API Key,请求需在请求头中携带。

Biz-Api-Nonce
string
header
required

时间戳,请求需在请求头中携带。

Biz-Api-Signature
string
header
required

签名串,请求需在请求头中携带。

Query Parameters

transaction_id
string

交易id(可选)

Example:

"a9c40fb5-2c17-45cf-aaca-7b58e1bf4afd"

wallet_id
string

钱包id(可选)

Example:

"e9167870-e18b-4e82-8b87-92ec7ede8e45"

hash
string

交易哈希(可选)

Example:

"0xd51137845fbdcc028f779766de91a98c5b18418f299f220ad914d89cab2439b"

type
enum<string>

交易类型:=Deposit, 充币;=Withdrawal, 提币(可选)

Available options:
Deposit,
Withdrawal
Example:

"Withdrawal"

address
string

链上地址:address为充值或提币接收方地址(可选)

Example:

"0xdc2e6b357766aa4b66f41dc2959837ace7d61d46"

chain_id
string

链id(可选)

Example:

"BSC_BNB"

token_id
string

token id(可选)

Example:

"BSC_USDT"

status
string

Processing: 待确认, Approved: 审核通过, Cancelled: 已取消, Rejected: 被拒绝, Signed: 已签名, Pending: 已广播, Confirming: 确认中, Completed: 已完成, Failed: 失败,(可选)

Example:

"Confirming"

min_created
integer

起始时间戳(交易创建时间),单位:秒(可选)

Example:

1635744000

max_created
integer

结束时间戳(交易创建时间),单位:秒(可选)

Example:

1635744000

page
integer

页数

Example:

1

num
integer

每页数量;默认值:100;最大值:1000;

Example:

20

Response

请求成功,返回交易数据

status
integer

状态码,0 表示成功。

Example:

0

data
object

交易列表

msg
string

错误消息,status 非 0 时存在